Click or drag to resize
BrepTrimListAddCurveOnFace Method
Add a new curve on face to the brep

Namespace: Rhino.Geometry.Collections
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public BrepTrim AddCurveOnFace(
	BrepFace face,
	BrepEdge edge,
	bool rev3d,
	int curve2dIndex
)

Parameters

face
Type: Rhino.GeometryBrepFace
face that curve lies on
edge
Type: Rhino.GeometryBrepEdge
3d edge associated with this curve on surface
rev3d
Type: SystemBoolean
true if the 3d edge and the 2d parameter space curve have opposite directions.
curve2dIndex
Type: SystemInt32
index of 2d curve in face's parameter space

Return Value

Type: BrepTrim
new trim that represents the curve on surface
Remarks
You should set the trim's tolerance and iso values.
See Also